# Create or update a customer **PUT /eTech/rest/ws/referentials/v1/customers/code:{customerCode}** Creates a new customer if the `customerCode` provided does not exist, else updates the existing customer. Rate limit range : Standard ## Servers - The node of your Praxedo instance (eu1, am1...).: https://ws-eu1.praxedo.com (The node of your Praxedo instance (eu1, am1...).) ## Authentication methods - Bearer authentication ## Parameters ### Path parameters - **customerCode** (string) Requested customer code, case insensitive. ### Body: application/json (object) - **name** (string) Customer name. - **parentCustomerCode** (string | null) Parent customer code. Case insensitive. - **officeCode** (string) Office code. Case insensitive. If the property is not filled in - if the parent customer code is filled in, the parent customer office will be applied - if the parent customer code is not filled in, the office of the OAuth2.0 application will be applied - **contact** (object | null) - **addressDetails** (object) - **description** (string | null) Customer description of any. - **customFields** (object) Map of custom fields of a customer. ## Responses ### 201 Customer created. ### 204 Customer updated. ### 400 Bad Request - Validation errors #### Body: application/json (object) - **errors** (array[object]) Array of errors. Contains at least one element. - **errorReference** (string) Error unique reference. Communicated to support, this will help to locate the issue. ### 401 Unauthorized - authentication issue. #### Body: application/json (object) - **errors** (array[object]) Array of errors. Contains at least one element. - **errorReference** (string) Error unique reference. Communicated to support, this will help to locate the issue. ### 403 Forbidden - not enough rights. #### Body: application/json (object) - **errors** (array[object]) Array of errors. Contains at least one element. - **errorReference** (string) Error unique reference. Communicated to support, this will help to locate the issue. ### 429 Too Many Requests. #### Body: application/json (object) - **errors** (array[object]) Array of errors. Contains at least one element. - **errorReference** (string) Error unique reference. Communicated to support, this will help to locate the issue. ### 500 Internal server error. #### Body: application/json (object) - **errors** (array[object]) Array of errors. Contains at least one element. - **errorReference** (string) Error unique reference. Communicated to support, this will help to locate the issue. [Powered by Bump.sh](https://bump.sh)